package addressbook;

import java.util.regex.*;;

/**
 * 顼å饹
 *
 */
public class CheckBean {
	
	boolean errflg = false;
	String errmsg = "";
	
	/**
	 * 󥹥ȥ饯
	 */
	public CheckBean(){
		
	}
	
	/**
	 * itemäѥ᡼å
	 */
	public void checkItemParam(ParamBean param){
		this.checkBlank(param.getId(),"ID");
		this.checkId(param.getId());
		this.checkBlank(param.getName(),"̾");
		this.checkBlank(param.getZip(),"͹ֹ");
		this.checkZip(param.getZip());
		this.checkTel(param.getTel());
		this.checkBlank(param.getAddress(),"");
	}
	
	/**
	 * useräѥ᡼å
	 */
	public void checkUserParam(ParamBean param){
		this.checkBlank(param.getId(),"ID");
		this.checkBlank(param.getName(),"桼̾");
		this.checkBlank(param.getPassword(),"ѥ");
		this.checkHankaku(param.getName(),"桼̾");
		this.checkHankaku(param.getPassword(),"ѥ");
		this.checkPassword(param.getPassword(),param.getPasswordc());
	}
	
	/**
	 * IdȾѿ6ǹƤ뤫å
	 * @param str
	 */
	public void checkId(String str){
		Pattern pattern = Pattern.compile("[0-9]{6}");
		Matcher matcher = pattern.matcher(str);
		if(!matcher.matches()){
			this.errflg = true;
		    this.errmsg += "<br><font color=\"red\">IDѹ줿줬ޤ</font>";
		}		
	}

	/**
	 * ParamNamenullޤ϶ɤå
	 * @param str
	 * @param paramName
	 */
	public void checkBlank(String str,String paramName){
        if(str == null || str.equals("")){
        	this.errflg = true;
        	this.errmsg += "<br><font color=\"red\">"+paramName+"ϤƤ</font>";
        }
	}
	
	/**
	 * ͹ֹå
	 * @param str
	 */
	public void checkZip(String str){
		Pattern pattern = Pattern.compile("^[0-9]{3}-[0-9]{4}$");
		Matcher matcher = pattern.matcher(str);
		if(!matcher.matches()){
			this.errflg = true;
		    this.errmsg += "<br><font color=\"red\">͹ֹ***-****ηȾѿϤƤ</font>";
		}		
	}
	
	/**
	 * ֹå
	 * @param str
	 */
	public void checkTel(String str){
		Pattern pattern = Pattern.compile("^[0-9-]{10,15}");
		Matcher matcher = pattern.matcher(str);	
		if(!matcher.matches()){
			this.errflg = true;
		    this.errmsg += "<br><font color=\"red\">ֹȾѿȥϥե(-)ϤƤ<br>(㡧0000-00-0000 ޤ 090-0000-0000)</font>";
		}		
	}
	
	/**
	 * Ⱦѱѿɤå
	 * @param str
	 * @param paramName 
	 */
	public void checkHankaku(String str,String paramName){
		Pattern pattern = Pattern.compile("[0-9a-zA-Z]+");
		Matcher matcher = pattern.matcher(str);
		if(!matcher.matches()){
        	this.errflg = true;
        	this.errmsg += "<br><font color=\"red\">"+paramName+"ȾѱѿϤƤ</font>";
		}		
	}

	/**
	 * ѥɤå
	 */
	public void checkPassword(String pass_a,String pass_b){
		if(!pass_a.equals(pass_b)){
        	this.errflg = true;
        	this.errmsg += "<br><font color=\"red\">ѥɤۤʤޤ<br>ǧѤˤƱѥɤϤƤ</font>";		
		}
	}
	
	/**
	 * 顼å֤
	 */
	public String getErrmsg(){
		return this.errmsg;
	}
	
	/**
	 * 顼ե饰å
	 * @return
	 */
	public boolean getErrflg(){
		return this.errflg;
	}
	
}
